graphics/gdk-pixbuf2 - The NetBSD Packages Collection

Library for image loading and manipulation

GdkPixbuf is a library that loads image data in various formats and stores
it as linear buffers in memory. The buffers can then be scaled, composited,
modified, saved, or rendered.

GdkPixbuf can load image data encoded in different formats, such as PNG,
JPEG, TIFF, TGA and GIF.

Additionally, you can write a GdkPixbuf loader module and install it into
a well-known location, in order to load a file format.

GdkPixbuf is used by the GTK toolkit for loading graphical assets.

GdkPixbuf was split off from GTK+ starting with version 2.22/3.0.

Build dependencies

devel/gobject-introspection pkgtools/cwrappers devel/gobject-introspection textproc/libxslt textproc/docbook-xsl lang/python38 devel/meson devel/glib2-tools devel/pkgconf

Runtime dependencies

databases/shared-mime-info devel/glib2 devel/glib2 graphics/tiff graphics/png databases/shared-mime-info devel/glib2 graphics/tiff graphics/png

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfgdk-pixbuf2-2.40.0nb1.tgz
NetBSD 8.0earmv7hfgdk-pixbuf2-2.40.0nb1.tgz
NetBSD 8.0earmv7hfgdk-pixbuf2-2.40.0nb1.tgz
NetBSD 8.0earmv7hfgdk-pixbuf2-2.40.0nb1.tgz
NetBSD 8.0i386gdk-pixbuf2-2.40.0nb1.tgz
NetBSD 8.0i386gdk-pixbuf2-2.40.0nb1.tgz
NetBSD 8.0i386gdk-pixbuf2-2.40.0nb1.tgz
NetBSD 8.0powerpcgdk-pixbuf2-2.40.0nb1.tgz
NetBSD 8.0powerpcgdk-pixbuf2-2.40.0nb1.tgz
NetBSD 8.0powerpcgdk-pixbuf2-2.40.0nb1.tgz
NetBSD 8.0x86_64gdk-pixbuf2-2.40.0nb1.tgz
NetBSD 8.0x86_64gdk-pixbuf2-2.40.0nb1.tgz
NetBSD 9.0aarch64gdk-pixbuf2-2.40.0nb1.tgz
NetBSD 9.0aarch64gdk-pixbuf2-2.40.0nb1.tgz
NetBSD 9.0aarch64gdk-pixbuf2-2.40.0nb1.tgz
NetBSD 9.0alphagdk-pixbuf2-2.40.0nb1.tgz
NetBSD 9.0alphagdk-pixbuf2-2.40.0nb1.tgz
NetBSD 9.0alphagdk-pixbuf2-2.40.0nb1.tgz
NetBSD 9.0earmgdk-pixbuf2-2.40.0nb1.tgz
NetBSD 9.0earmgdk-pixbuf2-2.40.0nb1.tgz
NetBSD 9.0earmgdk-pixbuf2-2.40.0nb1.tgz
NetBSD 9.0earmv6hfgdk-pixbuf2-2.40.0nb1.tgz
NetBSD 9.0earmv6hfgdk-pixbuf2-2.40.0nb1.tgz
NetBSD 9.0earmv6hfgdk-pixbuf2-2.40.0nb1.tgz
NetBSD 9.0earmv6hfgdk-pixbuf2-2.40.0nb1.tgz
NetBSD 9.0earmv7hfgdk-pixbuf2-2.40.0nb1.tgz
NetBSD 9.0earmv7hfgdk-pixbuf2-2.40.0nb1.tgz
NetBSD 9.0earmv7hfgdk-pixbuf2-2.40.0nb1.tgz
NetBSD 9.0earmv7hfgdk-pixbuf2-2.40.0nb1.tgz
NetBSD 9.0earmv7hfgdk-pixbuf2-2.40.0nb1.tgz
NetBSD 9.0i386gdk-pixbuf2-2.40.0nb1.tgz
NetBSD 9.0i386gdk-pixbuf2-2.40.0nb1.tgz
NetBSD 9.0i386gdk-pixbuf2-2.40.0nb1.tgz
NetBSD 9.0m68kgdk-pixbuf2-2.40.0nb1.tgz
NetBSD 9.0m68kgdk-pixbuf2-2.40.0nb1.tgz
NetBSD 9.0m68kgdk-pixbuf2-2.40.0nb1.tgz
NetBSD 9.0mips64ebgdk-pixbuf2-2.40.0nb1.tgz
NetBSD 9.0mips64ebgdk-pixbuf2-2.40.0nb1.tgz
NetBSD 9.0mips64ebgdk-pixbuf2-2.40.0nb1.tgz
NetBSD 9.0mipselgdk-pixbuf2-2.40.0nb1.tgz
NetBSD 9.0mipselgdk-pixbuf2-2.40.0nb1.tgz
NetBSD 9.0powerpcgdk-pixbuf2-2.40.0nb1.tgz
NetBSD 9.0powerpcgdk-pixbuf2-2.40.0nb1.tgz
NetBSD 9.0sh3elgdk-pixbuf2-2.40.0nb1.tgz
NetBSD 9.0sh3elgdk-pixbuf2-2.40.0nb1.tgz
NetBSD 9.0sh3elgdk-pixbuf2-2.40.0nb1.tgz
NetBSD 9.0sparc64gdk-pixbuf2-2.40.0nb1.tgz
NetBSD 9.0sparc64gdk-pixbuf2-2.40.0nb1.tgz
NetBSD 9.0sparc64gdk-pixbuf2-2.40.0nb1.tgz
NetBSD 9.0sparc64gdk-pixbuf2-2.40.0nb1.tgz
NetBSD 9.0sparcgdk-pixbuf2-2.40.0nb1.tgz
NetBSD 9.0sparcgdk-pixbuf2-2.40.0nb1.tgz
NetBSD 9.0sparcgdk-pixbuf2-2.40.0nb1.tgz
NetBSD 9.0x86_64gdk-pixbuf2-2.40.0nb1.tgz
NetBSD 9.0x86_64gdk-pixbuf2-2.40.0nb1.tgz
NetBSD 9.0x86_64gdk-pixbuf2-2.40.0nb1.tgz
NetBSD 9.0x86_64gdk-pixbuf2-2.40.0nb1.tgz
NetBSD 9.0x86_64gdk-pixbuf2-2.40.0nb1.tgz
NetBSD 9.0x86_64gdk-pixbuf2-2.40.0nb1.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.